module.exports = function(grunt) {

    // Project configuration.
    grunt.initConfig({
        pkg: grunt.file.readJSON('package.json'),
        concat: {
            js: {
                src: ['node_modules/jquery/dist/jquery.min.js', 'node_modules/moment/min/moment.min.js', 'node_modules/fontawesome/js/all.min.js', 'node_modules/bootstrap/dist/js/bootstrap.min.js'],
                dest: 'dist/app.min.js',
            }
        },
        uglify: {
            build: {
                src: 'dist/app.min.js',
                dest: 'dist/app.min.js'
            }
        },
        cssmin: {
            options: {
                mergeIntoShorthands: false,
                roundingPrecision: -1
            },
            target: {
                files: {
                    'dist/theme.min.css': ['node_modules/fontawesome/css/all.min.css', 'node_modules/bootstrap/dist/css/bootstrap.min.css'],
                }
            }
        },
        watch: {
            scripts: {
                files: ['node_modules/jquery/dist/jquery.min.js', 'node_modules/moment/min/moment.min.js', 'node_modules/fontawesome/js/all.min.js', 'node_modules/bootstrap/dist/js/bootstrap.min.js', 'node_modules/fontawesome/css/all.min.css', 'node_modules/bootstrap/dist/css/bootstrap.min.css'],
                tasks: ['concat', 'uglify', 'cssmin'],
            },
        }
    });

    // Load the plugin that provides the "uglify" task.
    grunt.loadNpmTasks('grunt-contrib-uglify');
    grunt.loadNpmTasks('grunt-contrib-concat');
    grunt.loadNpmTasks('grunt-contrib-cssmin');
    grunt.loadNpmTasks('grunt-contrib-watch');

    // Default task(s).
    grunt.registerTask('default', ['watch']);
    grunt.registerTask('develop', ['concat', 'uglify', 'cssmin']);

};